Qt Utilities: QtUtilities::PaletteModel Class Reference

Qt Utilities 6.19.1 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Signals | Public Member Functions | Properties | List of all members
QtUtilities::PaletteModel Class Reference

The PaletteModel class is used by PaletteEditor. More...

`#include <paletteeditor.h>`

Inheritance diagram for QtUtilities::PaletteModel:
[legend]
Collaboration diagram for QtUtilities::PaletteModel:
[legend]

## Signals
void | paletteChanged (const QPalette &palette)

## Public Member Functions
| PaletteModel (QObject *parent=nullptr)
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | data (const QModelIndex &index, int role) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const override
QPalette | getPalette () const
void | setPalette (const QPalette &palette, const QPalette &parentPalette)
QPalette::ColorRole | colorRole () const
void | setCompute (bool on)

## Properties
QPalette::ColorRole | colorRole

## Detailed Description

The PaletteModel class is used by PaletteEditor.

Definition at line 74 of file paletteeditor.h.

## Constructor & Destructor Documentation

## ◆ PaletteModel()

QtUtilities::PaletteModel::PaletteModel | ( | QObject * | parent = nullptr | ) |
| explicit

Definition at line 271 of file paletteeditor.cpp.

## Member Function Documentation

## ◆ colorRole()

QPalette::ColorRole QtUtilities::PaletteModel::colorRole | ( |  | ) | const
| inline

Definition at line 90 of file paletteeditor.h.

## ◆ columnCount()

int QtUtilities::PaletteModel::columnCount | ( | const QModelIndex & | parent = QModelIndex() | ) | const
| override

Definition at line 288 of file paletteeditor.cpp.

## ◆ data()

QVariant QtUtilities::PaletteModel::data | ( | const QModelIndex & | index,
|  | int | role ) const
| override

Definition at line 293 of file paletteeditor.cpp.

## ◆ flags()

Qt::ItemFlags QtUtilities::PaletteModel::flags | ( | const QModelIndex & | index | ) | const
| override

Definition at line 405 of file paletteeditor.cpp.

## ◆ getPalette()

QPalette QtUtilities::PaletteModel::getPalette | ( |  | ) | const

Definition at line 427 of file paletteeditor.cpp.

## ◆ headerData()

QVariant QtUtilities::PaletteModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = Qt::DisplayRole ) const
| override

Definition at line 412 of file paletteeditor.cpp.

## ◆ paletteChanged

void QtUtilities::PaletteModel::paletteChanged | ( | const QPalette & | palette | ) |
| signal

## ◆ rowCount()

int QtUtilities::PaletteModel::rowCount | ( | const QModelIndex & | parent = QModelIndex() | ) | const
| override

Definition at line 283 of file paletteeditor.cpp.

## ◆ setCompute()

void QtUtilities::PaletteModel::setCompute | ( | bool | on | ) |
| inline

Definition at line 94 of file paletteeditor.h.

## ◆ setData()

bool QtUtilities::PaletteModel::setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role )
| override

Definition at line 322 of file paletteeditor.cpp.

## ◆ setPalette()

void QtUtilities::PaletteModel::setPalette | ( | const QPalette & | palette,
|  | const QPalette & | parentPalette )

Definition at line 432 of file paletteeditor.cpp.

## Property Documentation

## ◆ colorRole

QPalette::ColorRole QtUtilities::PaletteModel::colorRole
| read

Definition at line 76 of file paletteeditor.h.

The documentation for this class was generated from the following files:

- paletteeditor/paletteeditor.h
- paletteeditor/paletteeditor.cpp